package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableDropKey extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLName keyName;

   public SQLName getKeyName() {
      return this.keyName;
   }

   public void setKeyName(SQLName keyName) {
      this.keyName = keyName;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.keyName);
      }

      visitor.endVisit(this);
   }
}
